<?php
// Neue Helper-Instanz holen
$helperInstance = ObjectFactory::createObjectByConfiguredName('web_form_helper', array($this, 'shipsimu_refill'));

// Pre-fetch payment types
$helperInstance->prefetchValueInstance('payments');

// Add form group
$helperInstance->addFormGroup('refill_form', "Bitte w&auml;hle aus, was du nachbestellen willst und gebe die Menge an.");

// Add sub group
$helperInstance->addInputSelectField('type', "--- Bitte ausw&auml;hlen ---");

// In-game currencies (if more than default add them here!)
$helperInstance->addSelectSubOption('currencies', "--- W&auml;hrungen ---");
$helperInstance->addSelectOption('currency', "{?currency?}");

// Raw materials
$helperInstance->addSelectSubOption('raw_materials', "--- Rohstoffe ---");
$helperInstance->addSelectOption('raw_wood', "Holz");
$helperInstance->addSelectOption('raw_iron', "Metall");
$helperInstance->addSelectOption('raw_stones', "Steine");

// This is needed to close the select tag
$helperInstance->addInputSelectField('type', "");

// Field for amount
$helperInstance->addFormSubGroup('amount', "Gebe hier in ganzen Zahlen die Menge an, die du nachbestellen willst.");
$helperInstance->addInputTextField('amount', 1000);

// Add payments
$helperInstance->getValueInstance()->addResultsToHelper($helperInstance);

// Ask again for current account password
$helperInstance->addFormGroup('pass_old', "Bitte gebe zur Best&auml;tigung der Nachbestellung dein derzeitiges Passwort ein.");
$helperInstance->addFieldText('pass_old', "Derzeitiges Passwort:");
$helperInstance->addInputPasswordField('pass_old');

// CAPTCHA enbaled?
if ($helperInstance->ifFormSecuredWithCaptcha()) {
	$helperInstance->addFormGroup('captcha_refill', "Bitte wiederhole den angezeigten Code:");
	$helperInstance->addCaptcha();
} // END - if

// Submit button
$helperInstance->addFormGroup('buttons_refill', "Mit Absenden des Formulars wird deine Nachbestellung verbindlich!");
$helperInstance->addInputResetButton("Eingaben l&ouml;schen");
$helperInstance->addInputSubmitButton("Nachbestellung verbindlich aufgeben");
$helperInstance->flushContent();

// [EOC]
?>
<div id="refill_frame">
	<div class="content_header">
		Jetzt dein {?currency?}-Konto aufladen!
	</div>
	<div class="content_body">
		{?shipsimu_refill?}
	</div>
</div>
